Copyright: Copyright ¸ 1996 O.B.you!


MxCrypto
 MxCrypto version 1.0

Properties	Events	Methods	Copyright

Unit: 	MxCrypto.pas

Ancestor: 	TComponent

Class	Invisible component

MxCrypto is a component for Borland Delphi (TM) ver. 2.x for file encode operation (max lenght 2Gb). It implement an hybrid algorythm that uses two key and two alphanumeric offset.

The algorythm is quite fast on big file also.

There is a function for automatic backup, if file name or directory name don't exist they will be created automatically.

It's possible to mark file with creator's name.

Note:

 The source file will be erased if  backup function is not active; if Security function is active the file will be overwritten with random characters before erasing.


Copyright
Objects Built for you!

Massimo Ghisalberti/Paolo Bernardini

via Eugubina 66/d 06100 PERUGIA ITALY

Internet EMail: roentgen@mbox.vol.it


Events
Nessun Evento Disponibile.


Properties
About

Owner

OffSet1

OffSet2

Password1

Password2

File_Out

File_In

Backup

BackupDir

BackupFileName

Security

Name

Tag


About
property About: string	read only

Internal Use.


OffSet1
property OffSet1 : string	read/write	default: default

Max lenght 20 alphanumeric char.


Owner
property Owner: string	read/write

Property Owner is for file identification, max lenght 20 char.

see:

function    CheckOwner(const NomeFile: string):string.


OffSet2
property OffSet2 : string	read/write	default: default

Max lenght 20 alphanumeric char.


Password1
property Password1 : string	read/write	default: pass

encode key, max lenght 6 char.


Password2
property Password2 : string	read/write	default: pass

encode key, max lenght 6 char.


File_Out
property File_Out : string	read/write

Destination file name.

only name not path.


File_In
property File_In : string	read/write

Source file name.

only name not path.


Backup
property Backup : Boolean	read/write	default: FALSE

FALSE disable backup function.

TRUE   enable backup function.

property BackupDir : string

property BackupFileName : string


BackupDir
property BackupDir : string	read/write

Directory name for file backup.


BackupFileName
property BackupFileName : string	read/write

File Name for file backup.


Security
property Security:Boolean	read/write	default: FALSE

If TRUE the file will be erased definitively.


Name
property Name

default Name property.


Tag
property Tag

Default Tag Property.


Methods
constructor  Create(AOwner:TComponent)

destructor    Destroy

procedure   Execute(Modalita:Char)

function       CheckLock(const NomeFile: string): byte

function       CheckOwner(const NomeFile: string):string


Execute
procedure   Execute(Modalita:Char)

Parameter:

'c'	for encode.

'd'	for decode.


CheckLock
function CheckLock(const NomeFile: string): byte

Return Value:

1	if file is encoded.

0	if file is free.

2	file not exist.


CheckOwner
function CheckOwner(const NomeFile: string):string

Return Value: property  Owner value.